/**************************************************************************/
/*
/* simple example using Direct I/O driver piplx for LXI and PXI
/*
/**************************************************************************/

#include "picmlx.h"
#include "piplx.h"

unsigned long status, RemotePort, sessionID, timeout, cardNum, device, bus;
unsigned long ch, subUnit;
int state;
char ID_String[100];

/**************************************************************************/

int __stdcall WinMain (HINSTANCE hInstance, HINSTANCE hPrevInstance,
					   LPSTR lpszCmdLine, int nCmdShow)
{
	if (InitCVIRTE (hInstance, 0, 0) == 0)
		return -1;    /* out of memory */
	
	
	// connect to an LXI chassis
	// if connecting to a PXI chassis replace IP address with "PXI"
	// returning sessionID of the chassis for further reference
    status = PICMLX_Connect (0, "192.168.2.112", RemotePort=1024, timeout=4000, &sessionID);
    // status = PICMLX_Connect (0, "PXI", RemotePort=1024, timeout=4000, &sessionID);
	
	// initializing card, returning cardNum for further reference
	status = PIPLX_OpenSpecifiedCard (sessionID, bus=1, device=15, &cardNum);

	// obtaining the card's ID string like 
	// "PICKERING INTERFACES,productNum,serialNum,firmwareRevisison"
	status = PIPLX_CardId (sessionID, cardNum, ID_String, 100);

	// set a given channel's state to 0=OPEN or 1=CLOSE
	status = PIPLX_OpBit (sessionID, cardNum, subUnit=1, ch=2, state=1);

	// closing card, actual switch status does not change on close
	status = PIPLX_CloseSpecifiedCard (sessionID, cardNum);
		
	return 0;
}
